<?php

namespace AutoAdmin\Bundle\Content\Entity\Traits;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

trait HiddenBreadcrumbTrait
{
    #[ORM\Column(name: 'hidden_breadcrumb', type: Types::BOOLEAN, nullable: true, options: ['default' => false])]
    protected ?bool $hiddenBreadcrumb = false;

    public function isHiddenBreadcrumb(): ?bool
    {
        return $this->hiddenBreadcrumb;
    }

    public function setHiddenBreadcrumb(?bool $boolean): void
    {
        $this->hiddenBreadcrumb = $boolean;
    }
}
